package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DrpPurPlanDetail {
   @TableId
   private Long id;
   private Long detailId;
   private String planId;
   private Long materialId;
   private Long unitId;
   private String size;
   private BigDecimal purNum;
   private BigDecimal proPlanNum;
   @ApiModelProperty("当前采购计划库存数")
   private BigDecimal inventoryNum;
   @ApiModelProperty("预计采购金额")
   private Long purchasingBudgetPrice;
   @ApiModelProperty("参考价格")
   private Long unitPrice;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("原始数量")
   private BigDecimal originalQuantity;
   @ApiModelProperty("备注")
   private String remark;

   public Long getId() {
      return this.id;
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public String getPlanId() {
      return this.planId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public BigDecimal getProPlanNum() {
      return this.proPlanNum;
   }

   public BigDecimal getInventoryNum() {
      return this.inventoryNum;
   }

   public Long getPurchasingBudgetPrice() {
      return this.purchasingBudgetPrice;
   }

   public Long getUnitPrice() {
      return this.unitPrice;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public BigDecimal getOriginalQuantity() {
      return this.originalQuantity;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setProPlanNum(final BigDecimal proPlanNum) {
      this.proPlanNum = proPlanNum;
   }

   public void setInventoryNum(final BigDecimal inventoryNum) {
      this.inventoryNum = inventoryNum;
   }

   public void setPurchasingBudgetPrice(final Long purchasingBudgetPrice) {
      this.purchasingBudgetPrice = purchasingBudgetPrice;
   }

   public void setUnitPrice(final Long unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setOriginalQuantity(final BigDecimal originalQuantity) {
      this.originalQuantity = originalQuantity;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }
}
